--- a/drivers/usb/serial/sierra.c	2018-10-14 17:17:47.091796593 +0000
+++ b/drivers/usb/serial/sierra.c	2018-10-14 18:59:24.543594863 +0000
@@ -297,6 +297,10 @@
 	{ USB_DEVICE_AND_INTERFACE_INFO(0x0F3D, 0x68A3, 0xFF, 0xFF, 0xFF),
 	  .driver_info = (kernel_ulong_t)&direct_ip_interface_blacklist
 	},
+	/* AirCard 340U */
+	{ USB_DEVICE_AND_INTERFACE_INFO(0x1199, 0x9051, 0xFF, 0xFF, 0xFF),
+          .bInterfaceNumber = (__u8)0
+        },
 
 	{ }
 };
